summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Antonio Hernández Blas <hba.nihilismus@gmail.com>2010-05-13 00:24:30 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:24:30 +0200
commit8e5a81f1f03e9720661f9a23cbaa260646b3e4a6 (patch)
tree09ec32d1d0981837aca9b11d7e1376aa2c1763cd /development
parent1dfb646ce25b091806e5384d6c2253413bf81628 (diff)
downloadslackbuilds-8e5a81f1f03e9720661f9a23cbaa260646b3e4a6.tar.gz
slackbuilds-8e5a81f1f03e9720661f9a23cbaa260646b3e4a6.tar.xz
development/eclipse: Updated for version 3.5.1
Diffstat (limited to 'development')
-rw-r--r--development/eclipse/doinst.sh19
-rw-r--r--development/eclipse/eclipse.SlackBuild40
-rw-r--r--development/eclipse/eclipse.desktop4
-rw-r--r--development/eclipse/eclipse.info8
-rw-r--r--development/eclipse/eclipse.pngbin3821 -> 3099 bytes
5 files changed, 47 insertions, 24 deletions
diff --git a/development/eclipse/doinst.sh b/development/eclipse/doinst.sh
index cc11d6e883..a06ab18ea8 100644
--- a/development/eclipse/doinst.sh
+++ b/development/eclipse/doinst.sh
@@ -12,13 +12,20 @@ config() {
# Otherwise, we leave the .new copy for the admin to consider...
}
-config opt/eclipse/configuration/config.ini.new
-config opt/eclipse/eclipse.ini.new
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
-if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database -q usr/share/applications
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi
-if [ -x usr/bin/update-mime-database ]; then
- usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
fi
+
+config opt/eclipse/configuration/config.ini.new
+config opt/eclipse/eclipse.ini.new
+
diff --git a/development/eclipse/eclipse.SlackBuild b/development/eclipse/eclipse.SlackBuild
index b357cdad0f..a981056af9 100644
--- a/development/eclipse/eclipse.SlackBuild
+++ b/development/eclipse/eclipse.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for eclipse
-# Copyright (c) 2008, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# Copyright (c) 2008-2009, Antonio Hernández Blas <hba.nihilismus@gmail.com>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -23,10 +23,9 @@
# This script is just a binary repackaging.
-
PRGNAM=eclipse
-VERSION=3.4.2
-ARCH=i586 # Leave this alone.
+VERSION=3.5.1
+ARCH=${ARCH:-i586}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -40,7 +39,16 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG/opt $OUTPUT
cd $PKG/opt
-tar xvf $CWD/$PRGNAM-SDK-$VERSION-linux-gtk.tar.gz
+
+# Untar source code tarball according with ARCH value
+# ARCH can be 'i586' or 'x86_64'
+if [ "$ARCH" = "x86_64" ]; then
+ tar xvf $CWD/$PRGNAM-SDK-$VERSION-linux-gtk-$ARCH.tar.gz || exit 1
+else
+ tar xvf $CWD/$PRGNAM-SDK-$VERSION-linux-gtk.tar.gz || exit 1
+ ARCH=i586
+fi
+
chown -R root:root .
find . \
@@ -49,15 +57,21 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Add a script to run eclipse in /usr/bin
+# Add a wrapper to run eclipse in /usr/bin
+# Its going to change the working directory to $HOME, so when you import/export
+# into/from eclipse $HOME is going to be the default directory, rather than
+# /opt/eclipse.
mkdir -p $PKG/usr/bin
cat << EOF > $PKG/usr/bin/$PRGNAM
#!/bin/sh
-cd /opt/eclipse
-./eclipse "\$@"
+cd \$HOME
+/opt/eclipse/eclipse \$@
EOF
chmod 0755 $PKG/usr/bin/eclipse
+# Add an icon for eclipse
+install -D -m 0644 $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
# Add eclipse to KDE/GNOME/XFCE menu and install an icon for them
install -D -m 0644 $CWD/$PRGNAM.desktop \
$PKG/usr/share/applications/$PRGNAM.desktop
@@ -65,8 +79,10 @@ install -D -m 0644 $CWD/$PRGNAM.png \
$PKG/usr/share/pixmaps/$PRGNAM.png
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
# Don't clobber any existing config file
@@ -77,7 +93,7 @@ mv $PKG/opt/$PRGNAM/eclipse.ini \
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cd $PKG/opt/$PRGNAM
-cp -a about.html about_files epl-v10.html notice.html readme $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a about_files readme *.html $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -85,4 +101,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/eclipse/eclipse.desktop b/development/eclipse/eclipse.desktop
index d52ed05aff..3f13f576a4 100644
--- a/development/eclipse/eclipse.desktop
+++ b/development/eclipse/eclipse.desktop
@@ -1,6 +1,4 @@
-
[Desktop Entry]
-Encoding=UTF-8
Type=Application
Exec=eclipse
Name=Eclipse
@@ -8,4 +6,4 @@ GenericName=Eclipse SDK
Comment=Eclipse Classic
Icon=eclipse
StartupNotify=true
-Categories=Qt;KDE;Development;GNOME;Application;Development;
+Categories=Qt;KDE;GNOME;Development;
diff --git a/development/eclipse/eclipse.info b/development/eclipse/eclipse.info
index 8e09839164..309148c56c 100644
--- a/development/eclipse/eclipse.info
+++ b/development/eclipse/eclipse.info
@@ -1,8 +1,10 @@
PRGNAM="eclipse"
-VERSION="3.4.2"
+VERSION="3.5.1"
HOMEPAGE="http://www.eclipse.org"
-DOWNLOAD="http://download.eclipse.org/eclipse/downloads/drops/R-3.4.2-200902111700/eclipse-SDK-3.4.2-linux-gtk.tar.gz"
-MD5SUM="a131aa4fc6c858be4fc17f6d4bdb7089"
+DOWNLOAD="http://download.eclipse.org/eclipse/downloads/drops/R-3.5.1-200909170800/eclipse-SDK-3.5.1-linux-gtk.tar.gz"
+MD5SUM="c0e1c97b00e90ffde496faeb2468293c"
+DOWNLOAD_x86_64="http://download.eclipse.org/eclipse/downloads/drops/R-3.5.1-200909170800/eclipse-SDK-3.5.1-linux-gtk-x86_64.tar.gz"
+MD5SUM_x86_64="1c984ad4c56ffae467da874302f859c0"
MAINTAINER="Antonio Hernández Blas"
EMAIL="hba.nihilismus@gmail.com"
APPROVED="dsomero"
diff --git a/development/eclipse/eclipse.png b/development/eclipse/eclipse.png
index 87b58d251a..1c939c8163 100644
--- a/development/eclipse/eclipse.png
+++ b/development/eclipse/eclipse.png
Binary files differ